#!/bin/sh

export user_home=$(eval echo ~${SUDO_USER})

# Delete all broken symlinks after uninstallation
LOC1="/etc/xdg/rox.sourceforge.net/SendTo"
LOC2="$user_home/.config/rox.sourceforge.net/SendTo"
LOC3="$user_home/.config/rox.sourceforge.net/OpenWith"
LOC4="/root/.config/rox.sourceforge.net/OpenWith"

for i in "$LOC1" "$LOC2" "$LOC3" "$LOC4"; do
  if [ -d "$i" ]; then
    find "$(readlink -f "$i")" -type l -name "inst-xbps" -delete
  fi
done

# Delete action from Thunar
CONFIG="$user_home/.config/Thunar/uca.xml"
CONFIG_BAK="$user_home/.config/Thunar/uca.xml.bak"
CONFIG_TMP="/tmp/uca.xml"

if [ -f "$CONFIG" ]; then
  grep '<name>Install xbps package</name>' "$CONFIG" >/dev/null && {
  LINE_NO=`grep -n '<name>Install xbps package</name>' "$CONFIG" | cut -f1 -d ':'`

  LINE_TMP=$LINE_NO
  for i in {0..99}; do
    awk 'NR=='${LINE_TMP}' {if ($0 == "<action>") {print $1}}' "$CONFIG" | grep '<action>' >/dev/null && break
    LINE_TMP=$(($LINE_TMP-1))
  done
  LINE_TOP=$LINE_TMP

  LINE_TMP=$LINE_NO
  for i in {0..99}; do
    awk 'NR=='${LINE_TMP}' {if ($0 == "</action>") {print $1}}' "$CONFIG" | grep '</action>' >/dev/null && break
    LINE_TMP=$(($LINE_TMP+1))
  done
  LINE_BOT=$LINE_TMP

  sed -e ''${LINE_TOP}','${LINE_BOT}'d' "$CONFIG" > "$CONFIG_TMP"
  mv "$CONFIG" "$CONFIG_BAK"
  mv "$CONFIG_TMP" "$CONFIG"
  }
fi

